> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/mo-ban-zhuang-tai.md).

# 模版状态

### 模板审核状态 whatsapp\_template\_status\_updated

当提交的模板状态发生变动时触发该事件：whatsapp\_template\_status\_updated

| 字段               | 数据类型   | 是否必填 | 描述                                                                               |
| ---------------- | ------ | ---- | -------------------------------------------------------------------------------- |
| accountName      | String | 是    | API账号                                                                            |
| category         | String | 是    | 模板类型:**MARKETING**:营销**AUTHENTICATION**:验证码**UTILITY**:通知                        |
| reason           | String | 是    | 理由                                                                               |
| templateId       | String | 是    | meta平台模板id(对应sid)                                                                |
| templateLanguage | String | 是    | 模板语言                                                                             |
| templateName     | String | 是    | 模板名称                                                                             |
| templateStatus   | String | 是    | 模板状态：**PENDING**:审核中**APPROVED**:审核通过**REJECTED**:驳回**PAUSED**:暂停**DISABLED**:禁用 |
| wabaId           | String | 是    | <p><br></p>                                                                      |

```json
{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_template_status_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
        "accountName": "IW2267527",
        "category": "AUTHENTICATION",
        "reason": "NONE",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
        "templateName": "transland_common_otp",
        "templateStatus": "APPROVED",
        "wabaId": "110129512080569"
    }
}
```

### 模板质量更新 message\_template\_quality\_update

当提交的模板质量发生变动时触发该事件：message\_template\_quality\_update

| 字段                              | 数据类型   | 是否必填 | 描述                                                                                |
| ------------------------------- | ------ | ---- | --------------------------------------------------------------------------------- |
| templateId                      | String | 是    | meta平台模板id(对应sid)                                                                 |
| templateLanguage                | String | 是    | 模板语言                                                                              |
| templateName                    | String | 是    | 模板名称                                                                              |
| <p>previousQualityScore<br></p> | String | 是    | 值可以是：**GREEN**：  表示高质量。**RED**：  表示质量低下。**YELLOW**：  表示中等质量。**UNKNOWN**：   表示质量待定 |
| newQualityScore                 | String | 是    | 值可以是：**GREEN**：  表示高质量。**RED**：  表示质量低下。**YELLOW**：  表示中等质量。**UNKNOWN**：   表示质量待定 |
| wabaId                          | String | 是    | <p><br></p>                                                                       |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "message_template_quality_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
         "templateName":"TestName",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
<strong>        "previousQualityScore": "GREEN",
</strong><strong>        "newQualityScore": "YELLOW",
</strong>        "wabaId": "110129512080569"
    }
}
</code></pre>

### 模板类别更新 template\_category\_update

当提交的模板类别发生变动时触发该事件：template\_category\_update

| 字段                  | 数据类型   | 是否必填 | 描述                                                                       |
| ------------------- | ------ | ---- | ------------------------------------------------------------------------ |
| templateId          | String | 是    | meta平台模板id(对应sid)                                                        |
| templateLanguage    | String | 是    | 模板语言                                                                     |
| templateName        | String | 是    | 模板名称                                                                     |
| <p>category<br></p> | String | 是    | 可选值：  **AUTHENTICATION**:  验证码  **MARKETING**：    营销  **UTILITY**：    通知 |
| newCategory         | String | 是    | 可选值：  **AUTHENTICATION**:  验证码  **MARKETING**：    营销  **UTILITY**：    通知 |
| wabaId              | String | 是    | WaBaId                                                                   |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "template_category_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
        "templateName":"TestName",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
<strong>        "category": "AUTHENTICATION",
</strong><strong>        "newCategory": "UTILITY",
</strong>        "wabaId": "110129512080569"
    }
}
</code></pre>

\
\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/mo-ban-zhuang-tai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
